Bug 35096 - Обновить clamav
: Обновить clamav
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/clamav)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2018-06-28 08:13 by
Modified: 2018-07-19 12:48 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2018-06-28 08:13:11
Прошу обновить clamav версии 0.99.4 на последнюю 0.100.0
Также для p8
------- Comment #1 From 2018-07-17 10:50:52 -------
Нда. configure: error: LLVM < 3.7 required, but "6.0.0"(600) found

Deprecating internal LLVM code support. The configure script has changed to
search the system for an installed instance of the LLVM development libraries,
and to otherwise use the bytecode interpreter for ClamAV bytecode signatures.
To use the LLVM Just-In-Time compiler for executing bytecode signatures, please
ensure that the LLVM development package at version 3.6 or lower is installed.
Using the deprecated LLVM code is possible with the command: ./configure
--with-system-llvm=no, but it no longer compiles on all platforms

При том, что 3.x обновлён уже до 3.8... Без llvm не будет поддержки байткода.
3.6 что ли в Sisyphus собирать? И ещё вопрос, можно ли их с 3.8 вместе в p8
потом держать будет...
------- Comment #2 From 2018-07-17 18:20:24 -------
(In reply to comment #1)

> Без llvm не будет поддержки байткода.

Тут я ошибался, можно собрать и без LLVM:
http://lists.clamav.net/pipermail/clamav-users/2018-July/006590.html

При этом, для x86_64 и i586 встроенный LLVM всё ещё годится:
https://lists.altlinux.org/pipermail/devel/2018-July/204953.html

Теперь надо подумать, как именно собрать.
------- Comment #3 From 2018-07-18 08:37:01 -------
Собрал без LLVM, вроде байткод подхватился:

Wed Jul 18 09:21:16 2018 -> Reading databases from /var/lib/clamav
Wed Jul 18 09:21:16 2018 -> Not loading PUA signatures.
Wed Jul 18 09:21:16 2018 -> Bytecode: Security mode set to "TrustSigned".
Wed Jul 18 09:21:44 2018 -> Loaded 6575820 signatures.
------- Comment #4 From 2018-07-18 08:48:49 -------
clamav-0.100.1-alt1 -> sisyphus:

Tue Jul 17 2018 Sergey Y. Afonin <asy@altlinux.ru> 0.100.1-alt1
- 0.100.1 (ALT #35096)
- built without LLVM (look to ALT #35096)
- removed -std=gnu++98 flag
- moved post script for freshclam to clamav-freshclam subpackage
- added %check section
------- Comment #5 From 2018-07-18 10:31:19 -------
Для p8 можно пока это задание использовать:
http://webery.altlinux.org/task/210475
------- Comment #6 From 2018-07-18 12:20:06 -------
(В ответ на комментарий №3)
> Собрал без LLVM, вроде байткод подхватился:
> 
> Wed Jul 18 09:21:16 2018 -> Not loading PUA signatures.
А это что? Уже не помню из коробки это сразу работает или самому надо
прописывать в clamd.conf?
------- Comment #7 From 2018-07-18 14:50:01 -------
Это в clamd.conf:

# Detect Possibly Unwanted Applications.
# Default: no
#DetectPUA yes

Это вот "Possibly", зачастую, ошибочно. Когда-то давно пробовал включать и
выключил.
------- Comment #8 From 2018-07-18 23:11:48 -------
(In reply to comment #3)
> Собрал без LLVM, вроде байткод подхватился:
> 
> Wed Jul 18 09:21:16 2018 -> Reading databases from /var/lib/clamav
> Wed Jul 18 09:21:16 2018 -> Not loading PUA signatures.
> Wed Jul 18 09:21:16 2018 -> Bytecode: Security mode set to "TrustSigned".
> Wed Jul 18 09:21:44 2018 -> Loaded 6575820 signatures.

> If you don't provide the older LLVM 3.6 for ClamAV, it will use it's built-interpreter rather than just-in-time-compile the signatures.

Т.е. собрался c built-in?
------- Comment #9 From 2018-07-19 12:48:51 -------
(In reply to comment #8)

> > If you don't provide the older LLVM 3.6 for ClamAV, it will use
> > it's built-interpreter rather than just-in-time-compile the signatures.
> 
> Т.е. собрался c built-in?

Да, встроенный интерпретатор, не использующий LLVM (ни тот, который в тарболе
ClamAV, ни системный). Вообще, плюсы и минусы этих подходов интересны, дозадал
вопрос у них в рассылке.